.location_offcanvas {
  width: 420px !important;
}
.location_offcanvas.offcanvas.show:not(.hiding),
.location_offcanvas.offcanvas.showing {
  background: #ffffff40 !important;
  backdrop-filter: blur(8px) !important;
}
.location_offcanvas .offcanvas-header {
  border-bottom: 1px solid #ddd;
  padding: 10px 20px;
  margin: 0 17px 0;
  margin-top: 140px;
  border-radius: 10px;
  background: white;
  font-family: "Playfair Display", serif;
}
.location_offcanvas .offcanvas-body {
  padding-top: 0;
}
.location_offcanvas .offcanvas-title {
  font-size: 22px;
  font-weight: 700;
}
.location_offcanvas .close_btn {
  width: 32px;
  height: 32px;
  border: none;
  border-radius: 50%;
  background: #777;
  color: #fff;
  cursor: pointer;
}
.location_offcanvas .address_card {
  background: #fff;
  border: 1px solid #e5e5e5;
  border-radius: 8px;
  padding: 20px;
  margin-top: 10px;
}
.location_offcanvas .address_title {
  display: flex;
  align-items: center;
  gap: 10px;
  color: #9c6cc5;
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 15px;
}
.location_offcanvas .address_card p {
  font-size: 16px;
  line-height: 1.4;
  color: #333;
  font-weight: 600;
}
.location_offcanvas .btn_group {
  display: flex;
  gap: 12px;
  margin-top: 20px;
}

.location_offcanvas .update_btn,
.location_offcanvas .proceed_btn {
  flex: 1;
}

.location_offcanvas .update_btn .Green_round_btn_holder,
.location_offcanvas .proceed_btn .Green_round_btn_holder {
  width: 100%;
}

.location_offcanvas .update_btn .Green_round_btn_holder .Green_round_btn,
.location_offcanvas .proceed_btn .Green_round_btn_holder .Green_round_btn {
  width: 100% !important;
}

.location_offcanvas .update_btn .Green_round_btn_holder .Green_round_btn {
  background: #c3b3cb !important;
  border: 1px solid #75438e !important;
  color: #080808 !important;
  padding: 5px 7px !important;
}
@media (max-width: 991px) {
  .location_offcanvas .address_card p {
    font-size: 14px;
  }
  .location_offcanvas .address_title {
    font-size: 16px;
  }
}
